Page MenuHomePhabricator

Switch to using the new validator framework for Open Street Map - Website project
Closed, ResolvedPublic

Description

Request - https://github.com/openstreetmap/openstreetmap-website/issues/2301#issuecomment-509257630

  • Confirm with community
  • Submit / patch
  • Deploy on Translatewiki.net
  • Summarize validators to be added

Plural validators will be added as part of a separate task.

Following validators are needed,

  1. Links - Only insertables
  2. Ruby Variables - Validator & Insertable
  3. HTML entities - Insertable
  4. html.direction Key - Can be one of - ltr OR rtl. Will need to add a new validator for this. Tracked under - T232084
  5. Plural insertables

Details

Due Date
Mon, Dec 30, 6:30 PM
Related Gerrit Patches:

Event Timeline

abi_ created this task.Aug 30 2019, 3:44 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 30 2019, 3:44 PM
abi_ updated the task description. (Show Details)Sep 5 2019, 11:07 AM
abi_ triaged this task as Medium priority.Sep 5 2019, 12:08 PM

Change 534628 had a related patch set uploaded (by Abijeet Patro; owner: Abijeet Patro):
[translatewiki@master] Add validators for OpenStreetMap - Website

https://gerrit.wikimedia.org/r/534628

Change 534628 merged by jenkins-bot:
[translatewiki@master] Add validators for OpenStreetMap - Website

https://gerrit.wikimedia.org/r/534628

abi_ updated the task description. (Show Details)Sep 12 2019, 2:00 PM
abi_ added a comment.EditedSep 12 2019, 4:06 PM

The following validators and insertables have been added and deployed,

  1. Links
  2. Ruby variables
  3. HTML entities

Change 549979 had a related patch set uploaded (by Abijeet Patro; owner: Abijeet Patro):
[translatewiki@master] Add validator for html direction for Open Street Map - Website

https://gerrit.wikimedia.org/r/549979

abi_ set Due Date to Nov 30 2019, 6:30 PM.Nov 14 2019, 4:24 PM
abi_ changed Due Date from Nov 30 2019, 6:30 PM to Mon, Dec 30, 6:30 PM.

Change 549979 merged by jenkins-bot:
[translatewiki@master] Add validator for html direction for Open Street Map - Website

https://gerrit.wikimedia.org/r/549979

Change 562045 had a related patch set uploaded (by Abijeet Patro; owner: Abijeet Patro):
[translatewiki@master] Add UnicodePlural validator for OpenStreetMap

https://gerrit.wikimedia.org/r/562045

Change 562045 merged by jenkins-bot:
[translatewiki@master] Add UnicodePlural validator for OpenStreetMap

https://gerrit.wikimedia.org/r/562045

abi_ closed this task as Resolved.Mon, Jan 13, 2:41 AM
abi_ removed a project: Patch-For-Review.
abi_ moved this task from In Review to Done on the Language-Team (Language-2020-January-March) board.

This has been deployed on translatewiki.net.

I did not notice any issues with the functionality.